Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 729310 (CVE-2020-6509) - <www-client/{chromium,google-chrome}-83.0.4103.116: Multiple vulnerabilities (CVE-2020-6509)
Summary: <www-client/{chromium,google-chrome}-83.0.4103.116: Multiple vulnerabilities ...
Status: RESOLVED FIXED
Alias: CVE-2020-6509
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL: https://chromereleases.googleblog.com...
Whiteboard: A2 [glsa+ cve]
Keywords: PullRequest
Depends on:
Blocks:
 
Reported: 2020-06-23 14:11 UTC by Mike Gilbert
Modified: 2020-07-26 23:35 UTC (History)
1 user (show)

See Also:
Package list:
www-client/chromium-83.0.4103.116
Runtime testing required: ---
nattka: sanity-check-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Gilbert gentoo-dev 2020-06-23 14:11:00 UTC
This update includes 2 security fixes. Below, we highlight fixes that were contributed by external researchers. Please see the Chrome Security Page for more information.

[$TBD][1092308] High CVE-2020-6509: Use after free in extensions. Reported by Anonymous on 2020-06-08
Comment 1 Agostino Sarubbo gentoo-dev 2020-06-25 07:01:46 UTC
amd64 stable.

Maintainer(s), please cleanup.
Security, please add it to the existing request, or file a new one.
Comment 2 Larry the Git Cow gentoo-dev 2020-06-28 21:02:18 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4a826d9bc6c0cbde8da87ab712e276c4a8c5f211

commit 4a826d9bc6c0cbde8da87ab712e276c4a8c5f211
Author:     Stephan Hartmann <stha09@googlemail.com>
AuthorDate: 2020-06-28 16:25:17 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2020-06-28 21:02:11 +0000

    www-client/chromium: security cleanup
    
    Bug: https://bugs.gentoo.org/729310
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Stephan Hartmann <stha09@googlemail.com>
    Closes: https://github.com/gentoo/gentoo/pull/16475
    Signed-off-by: Aaron Bauman <bman@gentoo.org>

 www-client/chromium/Manifest                      |   1 -
 www-client/chromium/chromium-83.0.4103.106.ebuild | 820 ----------------------
 2 files changed, 821 deletions(-)
Comment 3 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2020-06-28 21:04:54 UTC
added to existing GLSA.
Comment 4 NATTkA bot gentoo-dev 2020-07-18 13:40:40 UTC
Unable to check for sanity:

> no match for package: www-client/chromium-83.0.4103.116
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2020-07-26 23:35:27 UTC
This issue was resolved and addressed in
 GLSA 202007-08 at https://security.gentoo.org/glsa/202007-08
by GLSA coordinator Sam James (sam_c).